// pages/password_forget/password_forget.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        mobileNo    : '', //手机号
        codename    : '获取验证码',
        senddisabled: false, //获取验证码-按钮提交状态
        disabled    : false //按钮提交状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {

    },

    /**
     * mobileNo
     */
    getNameValue(e) {
        this.setData({
            mobileNo: e.detail.value
        })
    },

    /**
     * 发送短信
     */
    sendOut(e) {
        var _this    = this
        wx.$api.user.send(this.data.mobileNo,'PAYPASS').then(res=>{
            wx.showToast({
                title   : '发送成功',
                icon    : 'success',
                duration: 2000
            })
            var num = 61;
                var timer = setInterval(function () {
                    num--;
                if (num <= 0) {
                    clearInterval(timer);
                    _this.setData({
                        codename    : '重新发送',
                        senddisabled: false
                    })
        
                } else {
                    _this.setData({
                        codename    : num + "s后重新获取",
                        senddisabled: true
                    })
                }
                }, 1000)
        }).catch(err=>{}) 
    },

    /**
     * 设置密码
     */
    formSubmit(e) {
        let newMobile     = this.data.mobileNo,
            newCode       = e.detail.value.code,
            newPassword   = e.detail.value.password,
            newFormSubmit = e.detail.value.confirmation
        wx.$api.user.resetPassword(newCode, newPassword, newFormSubmit, newMobile, 'PAYPASS').then(res=>{
            // 已设置密码缓存
            wx.setStorage({
                key     : 'hasPaypass',
                data    : true
            })
            
            this.setData({
                disabled: true
            })
            wx.showToast({
                title: '设置成功',
            })

            setTimeout(()=>{
                wx.switchTab({
                    url: '/pages/user/user'
                })
            },2000)
        }).catch(err=>{}) 
    }
})